Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.model.items
Class ServerTransformationRepresentation

    java.lang.Object
      org.jbpm.form.builder.services.model.FormItemRepresentation
          org.jbpm.form.builder.services.model.items.ServerTransformationRepresentation

All Implemented Interfaces:
  Serializable, Mappable

    public class ServerTransformationRepresentation

extends FormItemRepresentation

See Also:
  Serialized Form

Constructor Summary
`ServerTransformationRepresentation()`

Method Summary
`boolean` | `equals(Object obj)`
`Map<String,Object>` | `getDataMap()`
`String` | `getLanguage()`
`String` | `getScript()`
`int` | `hashCode()`
`void` | `setDataMap(Map<String,Object> data)`
`void` | `setLanguage(String language)`
`void` | `setScript(String script)`

Methods inherited from class org.jbpm.form.builder.services.model.FormItemRepresentation
`addEffectClass, getEffectClasses, getEventActions, getExternal, getHeight, getInput, getItemValidations, getOutput, getTypeId, getWidth, setEffectClasses, setEventActions, setExternal, setHeight, setInput, setItemValidations, setOutput, setWidth`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerTransformationRepresentation

    public ServerTransformationRepresentation()

Method Detail

### getLanguage

    public String getLanguage()

### setLanguage

    public void setLanguage(String language)

### getScript

    public String getScript()

### setScript

    public void setScript(String script)

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`
  Overrides:
    `getDataMap` in class `FormItemRepresentation`

### setDataMap

    public void setDataMap(Map<String,Object> data)
                    throws FormEncodingException

  Specified by:
    `setDataMap` in interface `Mappable`
  Overrides:
    `setDataMap` in class `FormItemRepresentation`
  Throws:
    `FormEncodingException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `FormItemRepresentation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FormItemRepresentation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.